---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - e9924d02-1de8-54ae-b747-f1bae8ae18b6
      tier: AATSR_CMP_MONTH
      value: 0.1731926053762436
    brdf:
      alpha_1:
        band_1: 0.3303148075441381
        band_11: 0.26619098055625023
        band_12: 0.1558329246401516
        band_2: 0.3303590336552282
        band_3: 0.38140459777983865
        band_4: 0.33010625486104495
        band_5: 0.3300207686698304
        band_6: 0.32992958832939395
        band_7: 0.4344790462825979
        band_8: 0.4344044638044786
        band_8a: 0.4345462699848682
      alpha_2:
        band_1: 0.16375824863519792
        band_11: 0.16125549262129052
        band_12: 0.18789450259519633
        band_2: 0.16372145203379498
        band_3: 0.15481909599200797
        band_4: 0.16742191837243384
        band_5: 0.1674287571770163
        band_6: 0.16744794534430724
        band_7: 0.14727705471753127
        band_8: 0.14729588375146466
        band_8a: 0.1472600471819498
      id:
      - 1e984ea2-3430-5e8f-98ff-b20376188c22
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 11d6a227-f723-5b6c-8e62-f85e958cc0ee
      tier: DEFINITIVE
      value: 0.273
    water_vapour:
      id:
      - e923e439-5e12-564c-94b3-2f16962c3263
      tier: DEFINITIVE
      value: 2.779999923706055
  id: 599fdb7f-602f-45f0-b7ca-3a286281e309
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2018.0303024082034
      BAND-11: 245.67520686130575
      BAND-12: 84.02525970901723
      BAND-2: 2062.733019712272
      BAND-3: 1931.4502900864413
      BAND-4: 1577.0299961559106
      BAND-5: 1455.8010530591866
      BAND-6: 1328.42280518952
      BAND-7: 1216.096027373824
      BAND-8: 1077.0601986550394
      BAND-8A: 982.1940149165875
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-01-01 00:26:39.326000Z
    atime: 2022-08-06 00:46:46Z
    ctime: 2019-01-02 14:41:12Z
    mtime: 2019-01-02 14:41:09Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2019/2019-01/35S145E-40S150E/S2A_MSIL1C_20190101T002051_N0207_R116_T55HDA_20190101T014002.zip
  system_information:
    hostname: gadi-cpu-clx-1620.gadi.nci.org.au
    runtime_id: 3ffd166e-1521-11ed-a7fa-0000007ffe80
    time_processed: 2022-08-06 00:46:46.976329Z
    uname: 'Linux gadi-cpu-clx-1620.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 28.0
    green: 399.0
    red: 16.0
    teal: 373.0
    yellow: 24.0
  error_message: no errors
  final_qa_count: 798
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190101T014002_A018417_T55HDA_N02.07
  ref_date: '2014-10-04T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/093/084/LC80930842014277LGN00_B6.TIF
  residual:
    abs:
      x: 0.57
      xy: 0.75
      y: 0.49
    abs_iterative_mean:
      x: 0.46
      xy: 0.49
      y: 0.19
    cep90: 0.74
    iterative_mean:
      x: 0.45
      xy: 0.46
      y: 0.06
    iterative_stddev:
      x: 0.19
      xy: 0.37
      y: 0.32
    mean:
      x: 0.48
      xy: 0.49
      y: -0.11
    stddev:
      x: 0.87
      xy: 3.9
      y: 3.8
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 97.61843262999457
    cloud: 0.00306798837553814
    cloud_shadow: 0.002990071210445108
    snow: 0.2865598539208989
    water: 2.0889494564985545
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
